package com.ruoyi.system.tasks;

import com.zcunsoft.pm.task.base.ZCunTaskBase;
import com.zcunsoft.pm.note.push.email.ZCMailUtils;
import org.springframework.stereotype.Component;


/**
 * @author denis
 * @date 2022/6/21 15:46
 */
@Component("pmoNoteTask")
public class PMONoteTask implements ZCunTaskBase {
    @Override
    public void run(String settingId) {
        System.out.println("配置ID：" + settingId);
        sendNote();
    }

    private void sendNote() {
        System.out.println("执行PMONoteTask");
        ZCMailUtils.sendMail("chenxiangluan@zcunsoft.com","若依测试发送","若依测试发送内容");
    }
}
